# Lab signal bot

## Starting

### Configuration

Create a config:
```
cp config.json.example config.json
vi config.json
```

(Inside the docker container, "http://signal-cli-rest-api:8080" can be resolved to the host of the other docker container. Outside not.)

### Link the signal-cli bot

Start containers:

```
docker compose up -d
```

In the beginning, this will only start the `signal-cli-rest-api` docker container. The other container will fail, since the `signal-cli` is not linked to the account. If you already activated the phone number with another signal device, you can register the new device.

Join the docker do this:
```
docker exec -it lab-signal-bot-signal-cli-rest-api-1 /bin/bash
```

Change user:
```
su signal-api
```

Link the new device:
```
signal-cli --config /home/.local/share/signal-cli link
```

Exit the docker shell.

Restart docker container:
```
docker restart lab-signal-bot-signal-cli-rest-api-1
```

From host, list signal groups:
```
python list_signal_groups.py --api-url http://localhost:8080/ -i
```

Now, you can set the identifier of the group you want in the config.json:
```
vi config.json
```

Rebuild containers:
```
docker compose up --build -d
```

Change the ownership of the db, such that the host user 1000 can write it:
```
sudo chown -R 1000 data/
```
